#include <libgdome/gdome.h>
#include <gnome.h>

static GdomeException exc = 0;

int main(int argc, char *argv[])
{
	GdomeDocument *doc;
	GdomeDOMImplementation *di;
	GdomeNodeList *acts;
	GdomeNode *act;
	GdomeNamedNodeMap *attrs;
	GdomeNode *attr;
	GdomeNode *clonedAttr;
	GdomeDOMString *actString;

	di = gdome_di_mkref();
	doc = gdome_di_validateFile (di, "testing/testing.xml", &exc);
	actString = gdome_str_mkref("act");
	acts = gdome_doc_getElementsByTagName (doc, actString, &exc);
	g_print ("The number of acts should be 1 it is %i\n",
		 gdome_nl_length (acts ,&exc));
	act = gdome_nl_item(acts, 0, &exc);
	g_print ("The name should be 'act' it is %s\n",
		 gdome_n_nodeName(act, &exc)->str);
	attrs = gdome_n_attributes ( act , &exc);
	g_print ("The number of attrs should be 1 it is %i\n",
		 gdome_nnm_length (attrs, &exc));
	attr = gdome_nnm_item (attrs, 0, &exc);
	g_print ("The attr name should be 'act.description' it is %s\nThe attr value should be 'my first act' it is %s\n", 
		 gdome_n_nodeName (attr, &exc)->str,
		 gdome_n_nodeValue (attr, &exc)->str);
	clonedAttr = gdome_n_cloneNode(attr, TRUE, &exc);
	g_print ("The cloned attr name should be 'act.description' it is %s\nThe attr value should be 'my first act' it is %s\n", 
		 gdome_n_nodeName (clonedAttr, &exc)->str,
		 gdome_n_nodeValue (clonedAttr, &exc)->str);
	return 0;
}
